remotefilelog: bump pack file formats to version 2
ClosedPublic

Authored by durin42 on Oct 11 2018, 8:21 AM.

Details

Summary

Drop support for format 0 and 1 packs. Version 2 will be different in
that it'll use zlib compression instead of lz4, as the latter isn't
really suitable for core.

If I can make it work, I'll make compression engines pluggable, but
the logic for handling these files is spread out enough it's a little
tricky to get that right.

Test changes are only due to pack files being renamed. The contents of
the packs are the same.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
durin42 created this revision.Oct 11 2018, 8:21 AM
indygreg accepted this revision.Oct 11 2018, 9:43 AM
indygreg added a subscriber: indygreg.
indygreg added inline comments.
hgext/remotefilelog/historypack.py
17–19

Presumably we'll want to delete/rename these. Can be done as a follow-up.

This revision is now accepted and ready to land.Oct 11 2018, 9:43 AM
durin42 updated this revision to Diff 12181.Oct 16 2018, 3:18 PM
durin42 updated this revision to Diff 12406.Nov 5 2018, 2:45 PM
This revision was automatically updated to reflect the committed changes.